#!/bin/sh

# exit script when command fails
set -e

if [ $# -ne 1 ]; then
	echo "Usage: $0 <git-directory>" >&2
	exit 1
fi

# navigate to directory given as parameter
cd $1

oldhash=$(git rev-parse HEAD)
git pull -q --ff-only

/srv/fff-scripts/10-50-reverse.sh
/srv/fff-scripts/10-83-reverse.sh
/srv/fff-scripts/fd43-5602-29bd-reverse.sh

if [ "$oldhash" != "$(git rev-parse HEAD)" ]; then
	/bin/systemctl reload bind9
fi
